Extending Qt Creator Manual | HelpManager

Extending Qt Creator Manual 4.5.2

# HelpManager Class

(Core::HelpManager)

- List of all members, including inherited members

## Public Types

typedef | Filters
enum | HelpViewerLocation { SideBySideIfPossible, SideBySideAlways, HelpModeAlways, ExternalHelpAlways }

## Public Slots

void | handleHelpRequest(const QUrl &url, Core::HelpManager::HelpViewerLocation location = HelpModeAlways)
void | handleHelpRequest(const QString &url, Core::HelpManager::HelpViewerLocation location = HelpModeAlways)

## Signals

void | collectionFileChanged()
void | documentationChanged()
void | helpRequested(const QUrl &url, Core::HelpManager::HelpViewerLocation location)
void | setupFinished()

## Static Public Members

void | addUserDefinedFilter(const QString &filter, const QStringList &attr)
QString | collectionFilePath()
QVariant | customValue(const QString &key, const QVariant &value = QVariant())
QByteArray | fileData(const QUrl &url)
QString | fileFromNamespace(const QString &nameSpace)
Filters | filters()
QUrl | findFile(const QUrl &url)
Filters | fixedFilters()
HelpManager * | instance()
QMap<QString, QUrl> | linksForIdentifier(const QString &id)
QMap<QString, QUrl> | linksForKeyword(const QString &key)
QString | namespaceFromFile(const QString &file)
void | registerDocumentation(const QStringList &fileNames)
void | registerUserDocumentation(const QStringList &filePaths)
QStringList | registeredNamespaces()
void | removeUserDefinedFilter(const QString &filter)
void | setCustomValue(const QString &key, const QVariant &value)
void | unregisterDocumentation(const QStringList &nameSpaces)
Filters | userDefinedFilters()
QSet<QString> | userDocumentationPaths()

## Member Type Documentation

### typedef HelpManager::Filters

### enum HelpManager::HelpViewerLocation

## Member Function Documentation

### `[static]` void HelpManager::addUserDefinedFilter(const QString &filter, const QStringList &attr)

### `[signal]` void HelpManager::collectionFileChanged()

### `[static]` QString HelpManager::collectionFilePath()

### `[static]` QVariant HelpManager::customValue(const QString &key, const QVariant &value = QVariant())

See also setCustomValue().

### `[signal]` void HelpManager::documentationChanged()

### `[static]` QByteArray HelpManager::fileData(const QUrl &url)

### `[static]` QString HelpManager::fileFromNamespace(const QString &nameSpace)

### `[static]` Filters HelpManager::filters()

### `[static]` QUrl HelpManager::findFile(const QUrl &url)

### `[static]` Filters HelpManager::fixedFilters()

### `[static slot]` void HelpManager::handleHelpRequest(const QUrl &url, Core::HelpManager::HelpViewerLocation location = HelpModeAlways)

### `[static slot]` void HelpManager::handleHelpRequest(const QString &url, Core::HelpManager::HelpViewerLocation location = HelpModeAlways)

### `[signal]` void HelpManager::helpRequested(const QUrl &url, Core::HelpManager::HelpViewerLocation location)

### `[static]` HelpManager *HelpManager::instance()

### `[static]` QMap<QString, QUrl> HelpManager::linksForIdentifier(const QString &id)

### `[static]` QMap<QString, QUrl> HelpManager::linksForKeyword(const QString &key)

### `[static]` QString HelpManager::namespaceFromFile(const QString &file)

### `[static]` void HelpManager::registerDocumentation(const QStringList &fileNames)

### `[static]` void HelpManager::registerUserDocumentation(const QStringList &filePaths)

### `[static]` QStringList HelpManager::registeredNamespaces()

### `[static]` void HelpManager::removeUserDefinedFilter(const QString &filter)

### `[static]` void HelpManager::setCustomValue(const QString &key, const QVariant &value)

See also customValue().

### `[signal]` void HelpManager::setupFinished()

### `[static]` void HelpManager::unregisterDocumentation(const QStringList &nameSpaces)

### `[static]` Filters HelpManager::userDefinedFilters()

### `[static]` QSet<QString> HelpManager::userDocumentationPaths()